Bug 253142 - crash upon logout
Summary: crash upon logout
Status: RESOLVED FIXED
Alias: None
Product: ksmserver
Classification: Plasma
Component: general (show other bugs)
Version: 0.4
Platform: Compiled Sources FreeBSD
: NOR crash (vote)
Target Milestone: ---
Assignee: Lubos Lunak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-03 18:40 UTC by Andriy Gapon
Modified: 2011-01-23 23:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Gapon 2010-10-03 18:40:52 UTC
Application: ksmserver (0.4)
KDE Platform Version: 4.5.1 (KDE 4.5.1) (Compiled from sources)
Qt Version: 4.6.3
Operating System: FreeBSD 9.0-CURRENT amd64
Distribution (Platform): FreeBSD Ports

-- Information about the crash:
- What I was doing when the application crashed:

Some application always crashed whe I am just logging out from KDE.
This happens in a freshly created account.

The crash can be reproduced every time.

-- Backtrace:
Application: Диспетчер сеанса KDE (kdeinit4), signal: Segmentation fault: 11
[Switching to Thread 8074071c0 (LWP 100748)]
[KCrash Handler]
#7  0x00000008032d462f in pthread_mutex_trylock () from /lib/libthr.so.3
#8  0x0000000803458abf in _malloc_prefork () from /lib/libc.so.7
#9  0x000000080345d3cf in free () from /lib/libc.so.7
#10 0x0000000800e667b2 in _XDestroyImage () from /usr/local/lib/libX11.so.6
#11 0x000000080d456a8d in kdemain () from /usr/local/kde4/lib/libkdeinit4_ksmserver.so
#12 0x0000000801ab5aeb in QObjectPrivate::deleteChildren () from /usr/local/lib/qt4/libQtCore.so.4
#13 0x000000080224a4b3 in QWidget::~QWidget () from /usr/local/lib/qt4/libQtGui.so.4
#14 0x000000080d44870e in kdemain () from /usr/local/kde4/lib/libkdeinit4_ksmserver.so
#15 0x000000080d442496 in kdemain () from /usr/local/kde4/lib/libkdeinit4_ksmserver.so
#16 0x000000080d4542ab in kdemain () from /usr/local/kde4/lib/libkdeinit4_ksmserver.so
#17 0x000000080d4582d4 in kdemain () from /usr/local/kde4/lib/libkdeinit4_ksmserver.so
#18 0x00000008016eba20 in QDBusConnectionPrivate::deliverCall () from /usr/local/lib/qt4/libQtDBus.so.4
#19 0x00000008016ecc25 in QDBusConnectionPrivate::activateCall () from /usr/local/lib/qt4/libQtDBus.so.4
#20 0x00000008016ed6cd in QDBusConnectionPrivate::activateObject () from /usr/local/lib/qt4/libQtDBus.so.4
#21 0x00000008016ed978 in QDBusActivateObjectEvent::placeMetaCall () from /usr/local/lib/qt4/libQtDBus.so.4
#22 0x0000000801ab6d7c in QObject::event () from /usr/local/lib/qt4/libQtCore.so.4
#23 0x00000008021eed6c in QApplicationPrivate::notify_helper () from /usr/local/lib/qt4/libQtGui.so.4
#24 0x00000008021f4f56 in QApplication::notify () from /usr/local/lib/qt4/libQtGui.so.4
#25 0x00000008009b1b48 in KApplication::notify () from /usr/local/kde4/lib/libkdeui.so.7
#26 0x0000000801aa74ea in QCoreApplication::notifyInternal () from /usr/local/lib/qt4/libQtCore.so.4
#27 0x0000000801aaa913 in QCoreApplicationPrivate::sendPostedEvents () from /usr/local/lib/qt4/libQtCore.so.4
#28 0x0000000801ad02b3 in _ZL23postEventSourceDispatchP8_GSourcePFiPvES1_ () from /usr/local/lib/qt4/libQtCore.so.4
#29 0x0000000805fe88f9 in g_main_context_dispatch () from /usr/local/lib/libglib-2.0.so.0
#30 0x0000000805fec2d3 in g_main_context_prepare () from /usr/local/lib/libglib-2.0.so.0
#31 0x0000000805fec4c2 in g_main_context_iteration () from /usr/local/lib/libglib-2.0.so.0
#32 0x0000000801acfe05 in QEventDispatcherGlib::processEvents () from /usr/local/lib/qt4/libQtCore.so.4
#33 0x000000080229b686 in QGuiEventDispatcherGlib::processEvents () from /usr/local/lib/qt4/libQtGui.so.4
#34 0x0000000801aa5e3a in QEventLoop::processEvents () from /usr/local/lib/qt4/libQtCore.so.4
#35 0x0000000801aa61fc in QEventLoop::exec () from /usr/local/lib/qt4/libQtCore.so.4
#36 0x0000000801aaabbe in QCoreApplication::exec () from /usr/local/lib/qt4/libQtCore.so.4
#37 0x000000080d437ef7 in kdemain () from /usr/local/kde4/lib/libkdeinit4_ksmserver.so
#38 0x00000000004082cd in ?? ()
#39 0x0000000000408f82 in ?? ()
#40 0x0000000000409705 in ?? ()
#41 0x0000000000409d75 in ?? ()
#42 0x000000000040490c in ?? ()
#43 0x000000080063f000 in ?? ()
#44 0x0000000000000000 in ?? ()
#45 0x0000000000000000 in ?? ()
#46 0x0000000000000002 in ?? ()
#47 0x00007fffffffe9f8 in ?? ()
#48 0x00007fffffffea15 in ?? ()
#49 0x0000000000000000 in ?? ()
#50 0x00007fffffffea26 in ?? ()
#51 0x00007fffffffea3c in ?? ()
#52 0x00007fffffffea56 in ?? ()
#53 0x00007fffffffea71 in ?? ()
#54 0x00007fffffffea7c in ?? ()
#55 0x00007fffffffea91 in ?? ()
#56 0x00007fffffffeaac in ?? ()
#57 0x00007fffffffeabd in ?? ()
#58 0x00007fffffffeb0d in ?? ()
#59 0x00007fffffffeb25 in ?? ()
#60 0x00007fffffffeb3b in ?? ()
#61 0x00007fffffffeb50 in ?? ()
#62 0x00007fffffffebb2 in ?? ()
#63 0x00007fffffffebc3 in ?? ()
#64 0x00007fffffffebd4 in ?? ()
#65 0x00007fffffffebe2 in ?? ()
#66 0x00007fffffffec48 in ?? ()
#67 0x00007fffffffec8d in ?? ()
#68 0x00007fffffffec99 in ?? ()
#69 0x00007fffffffed19 in ?? ()
#70 0x00007fffffffed34 in ?? ()
#71 0x00007fffffffed3f in ?? ()
#72 0x00007fffffffed50 in ?? ()
#73 0x00007fffffffed5e in ?? ()
#74 0x00007fffffffedda in ?? ()
#75 0x00007fffffffedee in ?? ()
#76 0x00007fffffffee01 in ?? ()
#77 0x00007fffffffee59 in ?? ()
#78 0x00007fffffffeeb7 in ?? ()
#79 0x00007fffffffeec5 in ?? ()
#80 0x00007fffffffeeda in ?? ()
#81 0x00007fffffffef2f in ?? ()
#82 0x0000000000000000 in ?? ()
#83 0x0000000000000003 in ?? ()
#84 0x0000000000400040 in ?? ()
#85 0x0000000000000004 in ?? ()
#86 0x0000000000000038 in ?? ()
#87 0x0000000000000005 in ?? ()
#88 0x0000000000000006 in ?? ()
#89 0x0000000000000006 in ?? ()
#90 0x0000000000001000 in ?? ()
#91 0x0000000000000008 in ?? ()
#92 0x0000000000000000 in ?? ()
#93 0x0000000000000009 in ?? ()
#94 0x0000000000404880 in ?? ()
#95 0x0000000000000007 in ?? ()
#96 0x000000080060d000 in ?? ()
#97 0x000000000000000f in ?? ()
#98 0x00007fffffffffa3 in ?? ()
#99 0x0000000000000012 in ?? ()
#100 0x00000000000dbbb3 in ?? ()
#101 0x0000000000000010 in ?? ()
#102 0x00007fffffffff63 in ?? ()
#103 0x0000000000000011 in ?? ()
#104 0x0000000000000040 in ?? ()
#105 0x0000000000000013 in ?? ()
#106 0x0000000000000002 in ?? ()
#107 0x0000000000000014 in ?? ()
#108 0x00007fffffffff4b in ?? ()
#109 0x0000000000000015 in ?? ()
#110 0x0000000000000018 in ?? ()
#111 0x0000000000000000 in ?? ()
#112 0x0000000000000000 in ?? ()
#113 0x0000000000000000 in ?? ()
#114 0x0000000000000000 in ?? ()
#115 0x0000000000000000 in ?? ()
#116 0x0000000000000000 in ?? ()
#117 0x0000000000000000 in ?? ()
#118 0x0000000000000000 in ?? ()
#119 0x0000000000000000 in ?? ()
#120 0x0000000000000000 in ?? ()
#121 0x0000000000000000 in ?? ()
#122 0x0000000000000000 in ?? ()
#123 0x0000000000000000 in ?? ()
#124 0x0000000000000000 in ?? ()
#125 0x0000000000000000 in ?? ()
#126 0x0000000000000000 in ?? ()
#127 0x636f6c2f7273752f in ?? ()
#128 0x2f3465646b2f6c61 in ?? ()
#129 0x6965646b2f6e6962 in ?? ()
#130 0x636b2b003474696e in ?? ()
#131 0x74735f74696e696d in ?? ()
#132 0x444b007075747261 in ?? ()
#133 0x535f4c4c55465f45 in ?? ()
#134 0x743d4e4f49535345 in ?? ()
#135 0x4c5f534700657572 in ?? ()
#136 0x656d6f682f3d4249 in ?? ()
#137 0x2e2f61687361642f in ?? ()
#138 0x4d440073746e6f66 in ?? ()
#139 0x4c4f52544e4f435f in ?? ()
#140 0x75722f7261762f3d in ?? ()
#141 0x6c74636d64782f6e in ?? ()
#142 0x61643d5245535500 in ?? ()
#143 0x4c49414d00616873 in ?? ()
#144 0x616d2f7261762f3d in ?? ()
#145 0x61687361642f6c69 in ?? ()
#146 0x4e414d5f4d445800 in ?? ()
#147 0x74656d3d44454741 in ?? ()
#148 0x73616c633d646f68 in ?? ()
#149 0x454d4f4800636973 in ?? ()
#150 0x642f656d6f682f3d in ?? ()
#151 0x4744580061687361 in ?? ()
#152 0x4e4f49535345535f in ?? ()
#153 0x3d45494b4f4f435f in ?? ()
#154 0x6464633639353637 in ?? ()
#155 0x3136306331353938 in ?? ()
#156 0x3161383462333933 in ?? ()
#157 0x3531353233303030 in ?? ()
#158 0x333231363832312d in ?? ()
#159 0x373831312e323433 in ?? ()
#160 0x37303738342d3533 in ?? ()
#161 0x5345440030313136 in ?? ()
#162 0x5345535f504f544b in ?? ()
#163 0x6665643d4e4f4953 in ?? ()
#164 0x45444b00746c7561 in ?? ()
#165 0x4e4f49535345535f in ?? ()
#166 0x4e4f49535245565f in ?? ()
#167 0x54435f434c00343d in ?? ()
#168 0x525f75723d455059 in ?? ()
#169 0x00382d4654552e55 in ?? ()
#170 0x5345535f53554244 in ?? ()
#171 0x5355425f4e4f4953 in ?? ()
#172 0x535345524444415f in ?? ()
#173 0x61703a78696e753d in ?? ()
#174 0x2f7261762f3d6874 in ?? ()
#175 0x737562642f706d74 in ?? ()
#176 0x413357726456702d in ?? ()
#177 0x646975672c783361 in ?? ()
#178 0x333636383462333d in ?? ()
#179 0x6362303761393665 in ?? ()
#180 0x3030376666373733 in ?? ()
#181 0x6265303330303030 in ?? ()
#182 0x4e49425f444c0064 in ?? ()
#183 0x72743d574f4e5f44 in ?? ()
#184 0x48435f4d4d006575 in ?? ()
#185 0x54553d5445535241 in ?? ()
#186 0x4e474f4c00382d46 in ?? ()
#187 0x687361643d454d41 in ?? ()
#188 0x494c594255520061 in ?? ()
#189 0x2f7273752f3a3d42 in ?? ()
#190 0x646b2f6c61636f6c in ?? ()
#191 0x722f62696c2f3465 in ?? ()
#192 0x657469732f796275 in ?? ()
#193 0x2e312f796275725f in ?? ()
#194 0x6c2f7273752f3a38 in ?? ()
#195 0x65646b2f6c61636f in ?? ()
#196 0x75722f62696c2f34 in ?? ()
#197 0x5f657469732f7962 in ?? ()
#198 0x382e312f79627572 in ?? ()
#199 0x662d3436646d612f in ?? ()
#200 0x0039647362656572 in ?? ()
#201 0x505f494749525453 in ?? ()
#202 0x41505f4e4947554c in ?? ()
#203 0x7273752f3a3d4854 in ?? ()
#204 0x6b2f6c61636f6c2f in ?? ()
#205 0x2f62696c2f346564 in ?? ()
#206 0x2f3a696769727473 in ?? ()
#207 0x61636f6c2f727375 in ?? ()
#208 0x74732f62696c2f6c in ?? ()
#209 0x4f4c420069676972 in ?? ()
#210 0x4b3d455a49534b43 in ?? ()
#211 0x732f3d4854415000 in ?? ()
#212 0x6e69622f3a6e6962 in ?? ()
#213 0x62732f7273752f3a in ?? ()
#214 0x2f7273752f3a6e69 in ?? ()
#215 0x7273752f3a6e6962 in ?? ()
#216 0x2f3a73656d61672f in ?? ()
#217 0x61636f6c2f727375 in ?? ()
#218 0x2f3a6e6962732f6c in ?? ()
#219 0x61636f6c2f727375 in ?? ()
#220 0x682f3a6e69622f6c in ?? ()
#221 0x687361642f656d6f in ?? ()
#222 0x752f3a6e69622f61 in ?? ()
#223 0x6c61636f6c2f7273 in ?? ()
#224 0x69622f3465646b2f in ?? ()
#225 0x6c2f7273752f3a6e in ?? ()
#226 0x6e69622f6c61636f in ?? ()
#227 0x524f535255435800 in ?? ()
#228 0x4f3d454d4548545f in ?? ()
#229 0x6c425f6e65677978 in ?? ()
#230 0x50534944006b6361 in ?? ()
#231 0x4c00323a3d59414c in ?? ()
#232 0x525f75723d474e41 in ?? ()
#233 0x00382d4654552e55 in ?? ()
#234 0x622f3d4c4c454853 in ?? ()
#235 0x43580068732f6e69 in ?? ()
#236 0x41505f524f535255 in ?? ()
#237 0x2f7273752f3d4854 in ?? ()
#238 0x646b2f6c61636f6c in ?? ()
#239 0x65726168732f3465 in ?? ()
#240 0x3a3a736e6f63692f in ?? ()
#241 0x736e6f63692e2f7e in ?? ()
#242 0x6f6c2f7273752f3a in ?? ()
#243 0x726168732f6c6163 in ?? ()
#244 0x3a736e6f63692f65 in ?? ()
#245 0x636f6c2f7273752f in ?? ()
#246 0x65726168732f6c61 in ?? ()
#247 0x7370616d7869702f in ?? ()
#248 0x6f6c2f7273752f3a in ?? ()
#249 0x2f62696c2f6c6163 in ?? ()
#250 0x6e6f63692f313158 in ?? ()
#251 0x752f3d4457500073 in ?? ()
#252 0x2f656d6f682f7273 in ?? ()
#253 0x434c006168736164 in ?? ()
#254 0x5f75723d4c4c415f in ?? ()
#255 0x382d4654552e5552 in ?? ()
#256 0x5441445f47445800 in ?? ()
#257 0x2f3d535249445f41 in ?? ()
#258 0x61636f6c2f727375 in ?? ()
#259 0x732f3465646b2f6c in ?? ()
#260 0x752f3a3a65726168 in ?? ()
#261 0x65726168732f7273 in ?? ()
#262 0x6f6c2f7273752f3a in ?? ()
#263 0x726168732f6c6163 in ?? ()
#264 0x6c2f7273752f3a65 in ?? ()
#265 0x6168732f6c61636f in ?? ()
#266 0x656d6f6e672f6572 in ?? ()
#267 0x4e4f435f47445800 in ?? ()
#268 0x535249445f474946 in ?? ()
#269 0x6f6c2f7273752f3d in ?? ()
#270 0x3465646b2f6c6163 in ?? ()
#271 0x6764782f6374652f in ?? ()
#272 0x782f6374652f3a3a in ?? ()
#273 0x2f7273752f3a6764 in ?? ()
#274 0x74652f6c61636f6c in ?? ()
#275 0x752f3a6764782f63 in ?? ()
#276 0x6c61636f6c2f7273 in ?? ()
#277 0x6764782f6374652f in ?? ()
#278 0x430034656366782f in ?? ()
#279 0x553d544553524148 in ?? ()
#280 0x45444b00382d4654 in ?? ()
#281 0x4e4f49535345535f in ?? ()
#282 0x3030313d4449555f in ?? ()
#283 0x554c505f54510033 in ?? ()
#284 0x485441505f4e4947 in ?? ()
#285 0x642f656d6f682f3d in ?? ()
#286 0x646b2e2f61687361 in ?? ()
#287 0x6b2f62696c2f3465 in ?? ()
#288 0x67756c702f346564 in ?? ()
#289 0x73752f3a2f736e69 in ?? ()
#290 0x2f6c61636f6c2f72 in ?? ()
#291 0x62696c2f3465646b in ?? ()
#292 0x6c702f3465646b2f in ?? ()
#293 0x46002f736e696775 in ?? ()
#294 0x49535341505f5054 in ?? ()
#295 0x3d45444f4d5f4556 in ?? ()
#296 0x0000000000534559 in ?? ()
#297 0x0000000000000000 in ?? ()
#298 0x0000000000000000 in ?? ()
#299 0x0000000000000000 in ?? ()
#300 0x0000000000000000 in ?? ()
#301 0x0000000000000000 in ?? ()
#302 0x0000000000000000 in ?? ()
#303 0x0000000000000000 in ?? ()
#304 0x0000000000000000 in ?? ()
#305 0x0000000000000000 in ?? ()
#306 0x0000000000000000 in ?? ()
#307 0x0000000000000000 in ?? ()
#308 0x0000000000000000 in ?? ()
#309 0x0000000000000000 in ?? ()
#310 0x0000000000000000 in ?? ()
#311 0x0000000000000000 in ?? ()
#312 0x0000000000000000 in ?? ()
#313 0x0000000000000000 in ?? ()
#314 0x0000000000000000 in ?? ()
#315 0x0000000000000000 in ?? ()
#316 0x0000000000000000 in ?? ()
#317 0x0000000000000000 in ?? ()
#318 0x0000000000000000 in ?? ()
#319 0x0000000000000000 in ?? ()
#320 0x0000000000000000 in ?? ()
#321 0x0000000000000000 in ?? ()
#322 0x0000000000000000 in ?? ()
#323 0x0000000000000000 in ?? ()
#324 0x0000000000000000 in ?? ()
#325 0x0000000000000000 in ?? ()
#326 0x0000000000000000 in ?? ()
#327 0x0000000000000000 in ?? ()
#328 0x0000000000000000 in ?? ()
#329 0x0000000000000000 in ?? ()
#330 0x0000000000000000 in ?? ()
#331 0x0000000000000000 in ?? ()
#332 0x0000000000000000 in ?? ()
#333 0x0000000000000000 in ?? ()
#334 0x0000000000000000 in ?? ()
#335 0x0000000000000000 in ?? ()
#336 0x0000000000000000 in ?? ()
#337 0x0000000000000000 in ?? ()
#338 0x0000000000000000 in ?? ()
#339 0x0000000000000000 in ?? ()
#340 0x0000000000000000 in ?? ()
#341 0x0000000000000000 in ?? ()
#342 0x0000000000000000 in ?? ()
#343 0x0000000000000000 in ?? ()
#344 0x0000000000000000 in ?? ()
#345 0x0000000000000000 in ?? ()
#346 0x0000000000000000 in ?? ()
#347 0x0000000000000000 in ?? ()
#348 0x0000000000000000 in ?? ()
#349 0x0000000000000000 in ?? ()
#350 0x0000000000000000 in ?? ()
#351 0x0000000000000000 in ?? ()
#352 0x0000000000000000 in ?? ()
#353 0x0000000000000000 in ?? ()
#354 0x0000000000000000 in ?? ()
#355 0x0000000000000000 in ?? ()
#356 0x0000000000000000 in ?? ()
#357 0x0000000000000000 in ?? ()
#358 0x0000000000000000 in ?? ()
#359 0x0000000000000000 in ?? ()
#360 0x0000000000000000 in ?? ()
#361 0x0000000000000000 in ?? ()
#362 0x0000000000000000 in ?? ()
#363 0x0000000000000000 in ?? ()
#364 0x0000000000000000 in ?? ()
#365 0x0000000000000000 in ?? ()
#366 0x0000000000000000 in ?? ()
#367 0x0000000000000000 in ?? ()
#368 0x0000000000000000 in ?? ()
#369 0x0000000000000000 in ?? ()
#370 0x0000000000000000 in ?? ()
#371 0x0000000000000000 in ?? ()
#372 0x0000000000000000 in ?? ()
#373 0x0000000000000000 in ?? ()
#374 0x0000000000000000 in ?? ()
#375 0x0000000000000000 in ?? ()
#376 0x0000000000000000 in ?? ()
#377 0x0000000000000000 in ?? ()
#378 0x0000000000000000 in ?? ()
#379 0x0000000000000000 in ?? ()
#380 0x0000000000000000 in ?? ()
#381 0x0000000000000000 in ?? ()
#382 0x0000000000000000 in ?? ()
#383 0x0000000000000000 in ?? ()
#384 0x0000000000000000 in ?? ()
#385 0x0000000000000000 in ?? ()
#386 0x0000000000000000 in ?? ()
#387 0x0000000000000000 in ?? ()
#388 0x0000000000000000 in ?? ()
#389 0x0000000000000000 in ?? ()
#390 0x0000000000000000 in ?? ()
#391 0x0000000000000000 in ?? ()
#392 0x0000000000000000 in ?? ()
#393 0x0000000000000000 in ?? ()
#394 0x0000000000000000 in ?? ()
#395 0x0000000000000000 in ?? ()
#396 0x0000000000000000 in ?? ()
#397 0x0000000000000000 in ?? ()
#398 0x0000000000000000 in ?? ()
#399 0x0000000000000000 in ?? ()
#400 0x0000000000000000 in ?? ()
#401 0x0000000000000000 in ?? ()
#402 0x0000000000000000 in ?? ()
#403 0x0000000000000000 in ?? ()
#404 0x0000000000000000 in ?? ()
#405 0x0000000000000000 in ?? ()
#406 0x0000000000000000 in ?? ()
#407 0x0000000000000000 in ?? ()
#408 0x0000000000000000 in ?? ()
#409 0x0000000000000000 in ?? ()
#410 0x0000000000000000 in ?? ()
#411 0x0000000000000000 in ?? ()
#412 0x0000000000000000 in ?? ()
#413 0x0000000000000000 in ?? ()
#414 0x0000000000000000 in ?? ()
#415 0x0000000000000000 in ?? ()
#416 0x0000000000000000 in ?? ()
#417 0x0000000000000000 in ?? ()
#418 0x0000000000000000 in ?? ()
#419 0x0000000000000000 in ?? ()
#420 0x0000000000000000 in ?? ()
#421 0x0000000000000000 in ?? ()
#422 0x0000000000000000 in ?? ()
#423 0x0000000000000000 in ?? ()
#424 0x0000000000000000 in ?? ()
#425 0x0000000000000000 in ?? ()
#426 0x0000000000000000 in ?? ()
#427 0x0000000000000000 in ?? ()
#428 0x0000000000000000 in ?? ()
#429 0x0000000000000000 in ?? ()
#430 0x0000000000000000 in ?? ()
#431 0x0000000000000000 in ?? ()
#432 0x0000000000000000 in ?? ()
#433 0x0000000000000000 in ?? ()
#434 0x0000000000000000 in ?? ()
#435 0x0000000000000000 in ?? ()
#436 0x0000000000000000 in ?? ()
#437 0x0000000000000000 in ?? ()
#438 0x0000000000000000 in ?? ()
#439 0x0000000000000000 in ?? ()
#440 0x0000000000000000 in ?? ()
#441 0x0000000000000000 in ?? ()
#442 0x0000000000000000 in ?? ()
#443 0x0000000000000000 in ?? ()
#444 0x0000000000000000 in ?? ()
#445 0x0000000000000000 in ?? ()
#446 0x0000000000000000 in ?? ()
#447 0x0000000000000000 in ?? ()
#448 0x0000000000000000 in ?? ()
#449 0x0000000000000000 in ?? ()
#450 0x0000000000000000 in ?? ()
#451 0x0000000000000000 in ?? ()
#452 0x0000000000000000 in ?? ()
#453 0x0000000000000000 in ?? ()
#454 0x0000000000000000 in ?? ()
#455 0x0000000000000000 in ?? ()
#456 0x0000000000000000 in ?? ()
#457 0x0000000000000000 in ?? ()
#458 0x0000000000000000 in ?? ()
#459 0x0000000000000000 in ?? ()
#460 0x0000000000000000 in ?? ()
#461 0x0000000000000000 in ?? ()
#462 0x0000000000000000 in ?? ()
#463 0x0000000000000000 in ?? ()
#464 0x0000000000000000 in ?? ()
#465 0x0000000000000000 in ?? ()
#466 0x0000000000000000 in ?? ()
#467 0x0000000000000000 in ?? ()
#468 0x0000000000000000 in ?? ()
#469 0x0000000000000000 in ?? ()
#470 0x0000000000000000 in ?? ()
#471 0x0000000000000000 in ?? ()
#472 0x0000000000000000 in ?? ()
#473 0x0000000000000000 in ?? ()
#474 0x0000000000000000 in ?? ()
#475 0x0000000000000000 in ?? ()
#476 0x0000000000000000 in ?? ()
#477 0x0000000000000000 in ?? ()
#478 0x0000000000000000 in ?? ()
#479 0x0000000000000000 in ?? ()
#480 0x0000000000000000 in ?? ()
#481 0x0000000000000000 in ?? ()
#482 0x0000000000000000 in ?? ()
#483 0x0000000000000000 in ?? ()
#484 0x0000000000000000 in ?? ()
#485 0x0000000000000000 in ?? ()
#486 0x0000000000000000 in ?? ()
#487 0x0000000000000000 in ?? ()
#488 0x0000000000000000 in ?? ()
#489 0x0000000000000000 in ?? ()
#490 0x0000000000000000 in ?? ()
#491 0x0000000000000000 in ?? ()
#492 0x0000000000000000 in ?? ()
#493 0x0000000000000000 in ?? ()
#494 0x0000000000000000 in ?? ()
#495 0x0000000000000000 in ?? ()
#496 0x0000000000000000 in ?? ()
#497 0x0000000000000000 in ?? ()
#498 0x0000000000000000 in ?? ()
#499 0x0000000000000000 in ?? ()
#500 0x0000000000000000 in ?? ()
#501 0x0000000000000000 in ?? ()
#502 0x0000000000000000 in ?? ()
#503 0x0000000000000000 in ?? ()
#504 0x0000000000000000 in ?? ()
#505 0x0000000000000000 in ?? ()
#506 0x0000000000000000 in ?? ()
#507 0x0000000000000000 in ?? ()
#508 0x0000000000000000 in ?? ()
#509 0x0000000000000000 in ?? ()
#510 0x0000000000000000 in ?? ()
#511 0x0000000000000000 in ?? ()
#512 0x0000000000000000 in ?? ()
#513 0x0000000000000000 in ?? ()
#514 0x0000000000000000 in ?? ()
#515 0x0000000000000000 in ?? ()
#516 0x0000000000000000 in ?? ()
#517 0x0000000000000000 in ?? ()
#518 0x0000000000000000 in ?? ()
#519 0x0000000000000000 in ?? ()
#520 0x0000000000000000 in ?? ()
#521 0x0000000000000000 in ?? ()
#522 0x0000000000000000 in ?? ()
#523 0x0000000000000000 in ?? ()
#524 0x0000000000000000 in ?? ()
#525 0x0000000000000000 in ?? ()
#526 0x0000000000000000 in ?? ()
#527 0x0000000000000000 in ?? ()
#528 0x0000000000000000 in ?? ()
#529 0x0000000000000000 in ?? ()
#530 0x0000000000000000 in ?? ()
#531 0x0000000000000000 in ?? ()
#532 0x0000000000000000 in ?? ()
#533 0x0000000000000000 in ?? ()
#534 0x0000000000000000 in ?? ()
#535 0x0000000000000000 in ?? ()
#536 0x0000000000000000 in ?? ()
#537 0x0000000000000000 in ?? ()
#538 0x0000000000000000 in ?? ()
#539 0x0000000000000000 in ?? ()
#540 0x0000000000000000 in ?? ()
#541 0x0000000000000000 in ?? ()
#542 0x0000000000000000 in ?? ()
#543 0x0000000000000000 in ?? ()
#544 0x0000000000000000 in ?? ()
#545 0x0000000000000000 in ?? ()
#546 0x0000000000000000 in ?? ()
#547 0x0000000000000000 in ?? ()
#548 0x0000000000000000 in ?? ()
#549 0x0000000000000000 in ?? ()
#550 0x0000000000000000 in ?? ()
#551 0x0000000000000000 in ?? ()
#552 0x0000000000000000 in ?? ()
#553 0x0000000000000000 in ?? ()
#554 0x0000000000000000 in ?? ()
#555 0x0000000000000000 in ?? ()
#556 0x0000000000000000 in ?? ()
#557 0x0000000000000000 in ?? ()
#558 0x0000000000000000 in ?? ()
#559 0x0000000000000000 in ?? ()
#560 0x0000000000000000 in ?? ()
#561 0x0000000000000000 in ?? ()
#562 0x0000000000000000 in ?? ()
#563 0x0000000000000000 in ?? ()
#564 0x0000000000000000 in ?? ()
#565 0x0000000000000000 in ?? ()
#566 0x0000000000000000 in ?? ()
#567 0x0000000000000000 in ?? ()
#568 0x0000000000000000 in ?? ()
#569 0x0000000000000000 in ?? ()
#570 0x0000000000000000 in ?? ()
#571 0x0000000000000000 in ?? ()
#572 0x0000000000000000 in ?? ()
#573 0x0000000000000000 in ?? ()
#574 0x0000000000000000 in ?? ()
#575 0x0000000000000000 in ?? ()
#576 0x0000000000000000 in ?? ()
#577 0x0000000000000000 in ?? ()
#578 0x0000000000000000 in ?? ()
#579 0x0000000000000000 in ?? ()
#580 0x0000000000000000 in ?? ()
#581 0x0000000000000000 in ?? ()
#582 0x0000000000000000 in ?? ()
#583 0x0000000000000000 in ?? ()
#584 0x0000000000000000 in ?? ()
#585 0x0000000000000000 in ?? ()
#586 0x0000000000000000 in ?? ()
#587 0x0000000000000000 in ?? ()
#588 0x0000000000000000 in ?? ()
#589 0x0000000000000000 in ?? ()
#590 0x0000000000000000 in ?? ()
#591 0x0000000000000000 in ?? ()
#592 0x0000000000000000 in ?? ()
#593 0x0000000000000000 in ?? ()
#594 0x0000000000000000 in ?? ()
#595 0x0000000000000000 in ?? ()
#596 0x0000000000000000 in ?? ()
#597 0x0000000000000000 in ?? ()
#598 0x0000000000000000 in ?? ()
#599 0x0000000000000000 in ?? ()
#600 0x0000000000000000 in ?? ()
#601 0x0000000000000000 in ?? ()
#602 0x0000000000000000 in ?? ()
#603 0x0000000000000000 in ?? ()
#604 0x0000000000000000 in ?? ()
#605 0x0000000000000000 in ?? ()
#606 0x0000000000000000 in ?? ()
#607 0x0000000000000000 in ?? ()
#608 0x0000000000000000 in ?? ()
#609 0x0000000000000000 in ?? ()
#610 0x0000000000000000 in ?? ()
#611 0x0000000000000000 in ?? ()
#612 0x0000000000000000 in ?? ()
#613 0x0000000000000000 in ?? ()
#614 0x0000000000000000 in ?? ()
#615 0x0000000000000000 in ?? ()
#616 0x0000000000000000 in ?? ()
#617 0x0000000000000000 in ?? ()
#618 0x0000000000000000 in ?? ()
#619 0x0000000000000000 in ?? ()
#620 0x0000000000000000 in ?? ()
#621 0x0000000000000000 in ?? ()
#622 0x0000000000000000 in ?? ()
#623 0x0000000000000000 in ?? ()
#624 0x0000000000000000 in ?? ()
#625 0x0000000000000000 in ?? ()
#626 0x0000000000000000 in ?? ()
#627 0x0000000000000000 in ?? ()
#628 0x0000000000000000 in ?? ()
#629 0x0000000000000000 in ?? ()
#630 0x0000000000000000 in ?? ()
#631 0x0000000000000000 in ?? ()
#632 0x0000000000000000 in ?? ()
#633 0x0000000000000000 in ?? ()
#634 0x0000000000000000 in ?? ()
#635 0x0000000000000000 in ?? ()
#636 0x0000000000000000 in ?? ()
#637 0x0000000000000000 in ?? ()
#638 0x0000000000000000 in ?? ()
#639 0x0000000000000000 in ?? ()
#640 0x0000000000000000 in ?? ()
#641 0x0000000000000000 in ?? ()
#642 0x0000000000000000 in ?? ()
#643 0x0000000000000000 in ?? ()
#644 0x0000000000000000 in ?? ()
#645 0x0000000000000000 in ?? ()
#646 0x0000000000000000 in ?? ()
#647 0x0000000000000000 in ?? ()
#648 0x0000000000000000 in ?? ()
#649 0x0000000000000000 in ?? ()
#650 0x0000000000000000 in ?? ()
#651 0x0000000000000000 in ?? ()
#652 0x0000000000000000 in ?? ()
#653 0x0000000000000000 in ?? ()
#654 0x0000000000000000 in ?? ()
#655 0x0000000000000000 in ?? ()
#656 0x0000000000000000 in ?? ()
#657 0x0000000000000000 in ?? ()
#658 0x0000000000000000 in ?? ()
#659 0x0000000000000000 in ?? ()
#660 0x0000000000000000 in ?? ()
#661 0x0000000000000000 in ?? ()
#662 0x0000000000000000 in ?? ()
#663 0x0000000000000000 in ?? ()
#664 0x0000000000000000 in ?? ()
#665 0x0000000000000000 in ?? ()
#666 0x0000000000000000 in ?? ()
#667 0x0000000000000000 in ?? ()
#668 0x0000000000000000 in ?? ()
#669 0x0000000000000000 in ?? ()
#670 0x0000000000000000 in ?? ()
#671 0x0000000000000000 in ?? ()
#672 0x0000000000000000 in ?? ()
#673 0x0000000000000000 in ?? ()
#674 0x0000000000000000 in ?? ()
#675 0x0000000000000000 in ?? ()
#676 0x0000000000000000 in ?? ()
#677 0x0000000000000000 in ?? ()
#678 0x0000000000000000 in ?? ()
#679 0x0000000000000000 in ?? ()
#680 0x0000000000000000 in ?? ()
#681 0x0000000000000000 in ?? ()
#682 0x0000000000000000 in ?? ()
#683 0x0000000000000000 in ?? ()
#684 0x0000000000000000 in ?? ()
#685 0x0000000000000000 in ?? ()
#686 0x0000000000000000 in ?? ()
#687 0x0000000000000000 in ?? ()
#688 0x0000000000000000 in ?? ()
#689 0x0000000000000000 in ?? ()
#690 0x0000000000000000 in ?? ()
#691 0x0000000000000000 in ?? ()
#692 0x0000000000000000 in ?? ()
#693 0x0000000000000000 in ?? ()
#694 0x0000000000000000 in ?? ()
#695 0x0000000000000000 in ?? ()
#696 0x0000000000000000 in ?? ()
#697 0x0000000000000000 in ?? ()
#698 0x0000000000000000 in ?? ()
#699 0x0000000000000000 in ?? ()
#700 0x0000000000000000 in ?? ()
#701 0x0000000000000000 in ?? ()
#702 0x0000000000000000 in ?? ()
#703 0x0000000000000000 in ?? ()
#704 0x0000000000000000 in ?? ()
#705 0x0000000000000000 in ?? ()
#706 0x0000000000000000 in ?? ()
#707 0x0000000000000000 in ?? ()
#708 0x0000000000000000 in ?? ()
#709 0x0000000000000000 in ?? ()
#710 0x0000000000000000 in ?? ()
#711 0x0000000000000000 in ?? ()
#712 0x0000000000000000 in ?? ()
#713 0x0000000000000000 in ?? ()
#714 0x0000000000000000 in ?? ()
#715 0x0000000000000000 in ?? ()
#716 0x0000000000000000 in ?? ()
#717 0x0000000000000000 in ?? ()
#718 0x0000000000000000 in ?? ()
#719 0x0000000000000000 in ?? ()
#720 0x0000000000000000 in ?? ()
#721 0x0000000000000000 in ?? ()
#722 0x0000000000000000 in ?? ()
#723 0x0000000000000000 in ?? ()
#724 0x0000000000000000 in ?? ()
#725 0x0000000000000000 in ?? ()
#726 0x0000000000000000 in ?? ()
#727 0x0000000000000000 in ?? ()
#728 0x0000000000000000 in ?? ()
#729 0x0000000000000000 in ?? ()
#730 0x0000000000000000 in ?? ()
#731 0x0000000000000000 in ?? ()
#732 0x0000000000000000 in ?? ()
#733 0x0000000000000000 in ?? ()
#734 0x0000000000000000 in ?? ()
#735 0x0000000000000000 in ?? ()
#736 0x0000000000000000 in ?? ()
#737 0x0000000000000000 in ?? ()
#738 0x0000000000000000 in ?? ()
#739 0x0000000000000000 in ?? ()
#740 0x0000000000000000 in ?? ()
#741 0x0000000000000000 in ?? ()
#742 0x0000000000000000 in ?? ()
#743 0x0000000000000000 in ?? ()
#744 0x0000000000000000 in ?? ()
#745 0x0000000000000000 in ?? ()
#746 0x0000000000000000 in ?? ()
#747 0x0000000000000000 in ?? ()
#748 0x0000000000000000 in ?? ()
#749 0x0000000000000000 in ?? ()
#750 0x0000000000000000 in ?? ()
#751 0x0000000000000000 in ?? ()
#752 0x0000000000000000 in ?? ()
#753 0x0000000000000000 in ?? ()
#754 0x0000000000000000 in ?? ()
#755 0x0000000000000000 in ?? ()
#756 0x0000000000000000 in ?? ()
#757 0x0000000000000000 in ?? ()
#758 0x0000000000000000 in ?? ()
#759 0x0000000000000000 in ?? ()
#760 0x0000000000000000 in ?? ()
#761 0x0000000000000000 in ?? ()
#762 0x0000000000000000 in ?? ()
#763 0x0000000000000000 in ?? ()
#764 0x0000000000000000 in ?? ()
#765 0x0000000000000000 in ?? ()
#766 0x0000000000000000 in ?? ()
#767 0x0000000000000000 in ?? ()
#768 0x0000000000000000 in ?? ()
#769 0x0000000000000000 in ?? ()
#770 0x0000000000000000 in ?? ()
#771 0x0000000000000000 in ?? ()
#772 0x0000000000000000 in ?? ()
#773 0x0000000000000000 in ?? ()
#774 0x0000000000000000 in ?? ()
#775 0x0000000000000000 in ?? ()
#776 0x0000000000000000 in ?? ()
#777 0x0000000000000000 in ?? ()
#778 0x0000000000000000 in ?? ()
#779 0x0000000000000000 in ?? ()
#780 0x0000000000000000 in ?? ()
#781 0x0000000000000000 in ?? ()
#782 0x0000000000000000 in ?? ()
#783 0x0000000000000000 in ?? ()
#784 0x0000000000000000 in ?? ()
#785 0x0000000000000000 in ?? ()
#786 0x0000000000000000 in ?? ()
#787 0x0000000000000000 in ?? ()
#788 0x0000000000000000 in ?? ()
#789 0x0000000000000000 in ?? ()
#790 0x0000000000000000 in ?? ()
#791 0x0000000000000000 in ?? ()
#792 0x0000000000000000 in ?? ()
#793 0x0000000000000000 in ?? ()
#794 0x0000000000000000 in ?? ()
#795 0x0000000000000000 in ?? ()
#796 0x0000000000000000 in ?? ()
#797 0x0000000000000000 in ?? ()
#798 0x0000000000000000 in ?? ()
#799 0x0000000000000000 in ?? ()
#800 0x0000000000000000 in ?? ()
#801 0x0000000000000000 in ?? ()
#802 0x0000000000000000 in ?? ()
#803 0x0000000000000000 in ?? ()
#804 0x0000000000000000 in ?? ()
#805 0x0000000000000000 in ?? ()
#806 0x0000000000000000 in ?? ()
#807 0x0000000000000000 in ?? ()
#808 0x0000000000000000 in ?? ()
#809 0x0000001000000000 in ?? ()
#810 0x0000200000000000 in ?? ()
#811 0x0000000000000000 in ?? ()
#812 0x0000000000000000 in ?? ()
#813 0x0000000000000000 in ?? ()
#814 0x0000000000000000 in ?? ()
#815 0x0000000000000000 in ?? ()
#816 0x0000000000000000 in ?? ()
#817 0x0000000000000000 in ?? ()
#818 0x0000000000000000 in ?? ()
#819 0x0000000000000000 in ?? ()
#820 0x2f7273752f000000 in ?? ()
#821 0x646b2f6c61636f6c in ?? ()
#822 0x6b2f6e69622f3465 in ?? ()
#823 0x003474696e696564 in ?? ()
#824 0x247c8d48002454ff in ?? ()
#825 0x01a1c0c748006a10 in ?? ()
#826 0x66fdebf4050f0000 in ?? ()
#827 0x9066669066669066 in ?? ()
#828 0x00000008036072e0 in ?? () from /lib/libc.so.7
#829 0x0000000000000001 in ?? ()
#830 0x00007fffffffe790 in ?? ()
#831 0x0000000000000020 in ?? ()

Reported using DrKonqi
Comment 1 Nick Hudson 2010-11-15 19:18:21 UTC
I get this crash with NetBSD-current and KDE 4.5.3. If I make ksmserver always use the curtain logout effect the crash goes away.
Comment 2 Fredrik Höglund 2011-01-23 23:30:23 UTC
SVN commit 1216540 by fredrik:

Fix ksmserver crash in ~FadeEffect() on logout

Use _mm_free() for image->data because it was allocated with _mm_alloc()
in the constructor. Otherwise this might lead to a crash in XDestroyImage().
The crash is 100% reproducible on kfreebsd-amd64.

Patch by Modestas Vainius <modax@debian.org>

BUG: 253142
CCMAIL: modax@debian.org


 M  +2 -0      fadeeffect.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1216540